### Method

# Gck Session generate_key_pair_finish

#### Declaration [src]

    gboolean
    gck_session_generate_key_pair_finish (
      GckSession* self,
      GAsyncResult* result,
      GckObject** public_key,
      GckObject** private_key,
      GError** error
    )

#### Description [src]

Get the result of a generate key pair operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  The async result passed to the callback.

  The data is owned by the caller of the function.

`public_key`

  Type: `GckObject`

  A location to return the resulting public key.

  The argument will be set by the function.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`private_key`

  Type: `GckObject`

  A location to return the resulting private key.

  The argument will be set by the function.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation succeeded.